%define version 1.4.5
%define release %mkrel 7
%define scim_version 1.4.4

%define major 0
%define libname_orig lib%{name}
%define libname %mklibname %{name} %major
%define develname %mklibname -d %{name}

Name:		skim
Summary:	Input method platform for KDE
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
URL:		http://sourceforge.net/projects/scim/
Source0:	http://puzzle.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		skim-1.4.5-asneeded.patch
Patch1:		07_fix_FTBFS.dpatch
Patch2:		skim-1.4.5-kde3.patch
Requires:		%{libname} = %{version}
Requires:		scim-common >= %{scim_version}
BuildRequires:		scons
BuildRequires:		scim-devel >= 1.4.7-3mdk
BuildRequires:		kdelibs-devel
BuildRequires:		libxml2-utils
Provides:	scim-client = %scim_api

%description
Skim is an input method platform based upon scim-lib for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and
SetupUIs for itself and scim-lib.
It also has its own plugin systems which support on-demand loadable actions.


%package -n	%{libname}
Summary:	Skim library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}

%description -n %{libname}
Skim library.

%package -n	%{develname}
Summary:	Headers of skim for development
Group:		Development/C
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}
Obsoletes:		%{libname}-devel

%description -n %{develname}
Headers of %{name} for development.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# fix build (ut):
%define __libtoolize /bin/true
export QTDIR=%qt3dir
export PATH=$PATH:%_kde3_bindir
%configure_scons_kde3 \
	qtlibs=%{qt3lib} \
	qtincludes=%{qt3include}
%scons

%install
rm -fr %buildroot
export PATH=$PATH:%_kde3_bindir
%scons_install

%find_lang %{name} --with-html

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_kde3_bindir}/scim-panel-kde
%{_kde3_bindir}/skim
%{_kde3_datadir}/applnk/Utilities/skim.desktop
%{_kde3_datadir}/apps/kicker/applets/skimapplet.desktop
%{_kde3_datadir}/services/skimsetupdir_frontend.desktop
%{_kde3_datadir}/services/skimsetupdir_imengines.desktop
%{_kde3_datadir}/services/skimsetupdir_panel.desktop
%{_kde3_datadir}/apps/skim
%{_kde3_datadir}/autostart/skim.desktop
%{_kde3_datadir}/config.kcfg/scimkdeconfig.kcfg
%{_kde3_iconsdir}/crystalsvg/*/apps/*
%{_kde3_datadir}/services/skimconfiguredialog
%{_kde3_datadir}/services/skimplugin_*.desktop
%{_kde3_datadir}/servicetypes/skim*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_kde3_libdir}/lib*.so.%{major}*
%{_kde3_libdir}/kde3/kcm_skimplugin_compmgrclient.so
%{_kde3_libdir}/kde3/kcm_skimplugin_configplugin.so
%{_kde3_libdir}/kde3/kcm_skimplugin_inputwindow.so
%{_kde3_libdir}/kde3/kcm_skimplugin_mainwindow.so
%{_kde3_libdir}/kde3/kcm_skimplugin_scim_global.so
%{_kde3_libdir}/kde3/kcm_skimplugin_scim_imengines.so
%{_kde3_libdir}/kde3/kcm_skimplugin_scim_x.so
%{_kde3_libdir}/kde3/kcm_skimplugin_systemtray.so
%{_kde3_libdir}/kde3/skim_panelapplet.so
%{_kde3_libdir}/kde3/skimplugin_compmgrclient.so
%{_kde3_libdir}/kde3/skimplugin_inputwindow.so
%{_kde3_libdir}/kde3/skimplugin_mainwindow.so
%{_kde3_libdir}/kde3/skimplugin_scim.so
%{_kde3_libdir}/kde3/skimplugin_setupwindow.so
%{_kde3_libdir}/kde3/skimplugin_systemtray.so
%{_kde3_libdir}/kde3/kcm_skimplugin_compmgrclient.la
%{_kde3_libdir}/kde3/kcm_skimplugin_configplugin.la
%{_kde3_libdir}/kde3/kcm_skimplugin_inputwindow.la
%{_kde3_libdir}/kde3/kcm_skimplugin_mainwindow.la
%{_kde3_libdir}/kde3/kcm_skimplugin_scim_global.la
%{_kde3_libdir}/kde3/kcm_skimplugin_scim_imengines.la
%{_kde3_libdir}/kde3/kcm_skimplugin_scim_x.la
%{_kde3_libdir}/kde3/kcm_skimplugin_systemtray.la
%{_kde3_libdir}/kde3/skim_panelapplet.la
%{_kde3_libdir}/kde3/skimplugin_compmgrclient.la
%{_kde3_libdir}/kde3/skimplugin_inputwindow.la
%{_kde3_libdir}/kde3/skimplugin_mainwindow.la
%{_kde3_libdir}/kde3/skimplugin_scim.la
%{_kde3_libdir}/kde3/skimplugin_setupwindow.la
%{_kde3_libdir}/kde3/skimplugin_systemtray.la
%{scim_plugins_dir}/Config/*.so
%{scim_plugins_dir}/Config/*.la

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_kde3_includedir}/skim/*
%{_kde3_libdir}/libscim-kdeutils.so
%{_kde3_libdir}/libskim.so
%{_kde3_libdir}/libscim-kdeutils.la
%{_kde3_libdir}/libskim.la
%{_kde3_libdir}/pkgconfig/scim_kdeutils.pc
%{_kde3_libdir}/pkgconfig/skim.pc


%changelog
* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 1.4.5-7mdv2009.1
+ Revision: 303650
- add gentoo patch to have it built with kde 3.5.10
- update linkage patch from gentoo
- clearify license
- switch to /opt

* Mon Aug 04 2008 Funda Wang <fundawang@mandriva.org> 1.4.5-5mdv2009.0
+ Revision: 263415
- add patch to rebuild it

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Dec 25 2007 Funda Wang <fundawang@mandriva.org> 1.4.5-4mdv2008.1
+ Revision: 137646
- specify qt3dir
- drop libsuffix
- use optflags
- provides scim-client

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 12 2007 Funda Wang <fundawang@mandriva.org> 1.4.5-3mdv2008.0
+ Revision: 62129
- Rebuild

* Wed Jul 25 2007 Funda Wang <fundawang@mandriva.org> 1.4.5-2mdv2008.0
+ Revision: 55500
- New devel package policy
- Import skim



* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.5-1mdv2007.0
- new release

* Mon Jan 30 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.4.4-1mdk
- new release

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.3-1mdk
- New release 1.4.3 (Minor Bug fix release)
	- Improved: apperance consistency of buttons in main window
	- Fixed: compile problem with qt 3.3.5
	- Fixed: scim-setup could not be started

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-1mdk
- New release 1.4.1
	- Improved: embedded mode (in kicker) of main window
	- Fixed: build system issues in regarding to packaging 
		and 64 systems

* Sun Jul 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.0-4mdk
- add BuildRequires: libxml2-utils

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-3mdk
- Fix Build for lib64

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-2mdk
- Fix Build on x86_64

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-1mdk
- New release 1.4.0
- Use scons instead of make

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.1-1mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-2mdk
- Rebuild for new glibc

* Sun May 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-1mdk
- 1.3.0

* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.3-1mdk
- 1.2.3
        - fixed: crash with some KDE theme
        - fixed: make sure Main window is always visible
        - fixed: support icons whose filenames contain 
                 none-latin1 chars 
        - fixed: do not show inputwindow when show 
                 lookuptable if detached 
        - fixed: lookup table should be hiden by default

* Mon Apr 25 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.2-1mdk
- new release

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdk
- new release

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0-1mdk
- new release
- spec cleanup
- change URL

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rpmlint fixes

* Thu Sep 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-2mdk
- skim needs *.la for plugins
- fix requires (skim won't work w/o scim)
- disable rpath

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix file list
- fix description & summary
- fix a few rpmlint warnings
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
